/*  __		__   ___     _____    ____
 *  \ \	   / /  / _ \   |  __ \  |    |
 *   \ \/\/ /  / / \ \  | | / /  |  __|
 *	  \_/\_/  /_/	\_\ |_| \_\  |_|
 *		Take it to the next Level
 *
 *	2009 Brian Ernst.
 *	See ReadMe.md for more license info.
 */
#ifndef __MATHDEFS_H__
#define __MATHDEFS_H__

	typedef float Scalar;

	// May not need this, so may be removed.
	struct CoordinateSystem
	{
		struct Types
		{
			enum Enum
			{
				RightHandedZUp,	// x-right, y-forward, z-up
				RightHandedYUp,	// x-right, y-up, z-backwards
				LeftHandedZUp,	// x-left y-forward, z-up
				LeftHandedYUp	// x-right, y-up, z-backwards
			};
		};
		
		// set this to whichever you like
		static const Types::Enum Type = Types::RightHandedZUp;

		// If I want to provide helpers for up/down/left/right/forward/backwards vectors, then you'll need to know the coordinate system type^
	};

#endif
