#include <iostream>
#include <limits>

#include <igloo/igloo_alt.h>

using namespace igloo;

#include "math/Vector3.h"

// Testing headers:
#include "tests/TestsVector3.h"


int main( int argc, const char* argv[ ] )
{
	const int returnValue = TestRunner::RunAllTests( argc, const_cast< char** >( argv ) );

	std::cout << std::endl << "Press ENTER to continue" << std::endl;
	std::cin.ignore( std::numeric_limits< std::streamsize >::max( ), '\n' );

	return returnValue;
}